Public Types | Public Member Functions | Static Public Member Functions

# Glib::Value< unsigned char > Class Template Reference
[Generic Values]

`#include <glibmm/value_basictypes.h>`

Inheritance diagram for Glib::Value< unsigned char >:
[legend]

List of all members.

## Public Types
typedef unsigned char | CppType
typedef guchar | CType
## Public Member Functions
void | set (unsigned char data)
unsigned char | get () const
## Static Public Member Functions
static GType | value_type ()

### template <>
class Glib::Value< unsigned char >

## Member Typedef Documentation

typedef unsigned char Glib::Value< unsigned char >::CppType

typedef guchar Glib::Value< unsigned char >::CType

## Member Function Documentation

unsigned char Glib::Value< unsigned char >::get | ( | ) | const

void Glib::Value< unsigned char >::set | ( | unsigned char | data ) |

static GType Glib::Value< unsigned char >::value_type | ( | ) | `[static]`